------------------------------------------------------------------------------------
------------------------------- MattUF by whoisMatty -------------------------------
------------------------------------------------------------------------------------

-----------------------------------------------
-- Removes borders from target/focus castbar --
-----------------------------------------------

	FocusFrameSpellBar.Border:SetAlpha(0)
	TargetFrameSpellBar.Border:SetAlpha(0)


--------------------------------------
-- Class icons instead of portraits --
--------------------------------------

	hooksecurefunc("UnitFramePortrait_Update",function(self)
    		if self.portrait then
        		if UnitIsPlayer(self.unit) then                
            			local t = CLASS_ICON_TCOORDS[select(2, UnitClass(self.unit))]
            		if t then
                		self.portrait:SetTexture("Interface\\TargetingFrame\\UI-Classes-Circles")
                		self.portrait:SetTexCoord(unpack(t))
            		end
     		else
            			self.portrait:SetTexCoord(0,1,0,1)
        		end
    		end
	end)


-----------------------------
-- Class colors in hp bars --
-----------------------------

	local function colour(statusbar, unit)
    		local _, class, c
    		if UnitIsPlayer(unit) and UnitIsConnected(unit) and unit == statusbar.unit and UnitClass(unit) then
        		_, class = UnitClass(unit)
        		c = CUSTOM_CLASS_COLORS and CUSTOM_CLASS_COLORS[class] or RAID_CLASS_COLORS[class]
        		statusbar:SetStatusBarColor(c.r, c.g, c.b)
--        		PlayerFrameHealthBar:SetStatusBarColor(0,1,0)
    		end
	end

	hooksecurefunc("UnitFrameHealthBar_Update", colour)
	hooksecurefunc("HealthBar_OnValueChanged", function(self)
    		colour(self, self.unit)
	end)


-----------------------
-- Healthbar heights --
-----------------------

	TargetFrameHealthBar:ClearAllPoints()
	TargetFrameHealthBar:SetHeight(30)
	TargetFrameHealthBar:SetPoint("TOP", TargetFrame, "CENTER", -49, 27)
	TargetFrameHealthBar.SetPoint = function () end

	FocusFrameHealthBar:ClearAllPoints()
	FocusFrameHealthBar:SetHeight(30)
	FocusFrameHealthBar:SetPoint("TOP", FocusFrame, "CENTER", -50, 26)
	FocusFrameHealthBar.SetPoint = function () end

	hooksecurefunc("TargetFrame_CheckFaction", function(self)
    		self.nameBackground:SetVertexColor(0.0, 0.0, 0.0, 0.5);
	end)


-----------------------------------------------------------------
-- Changes default nametext color from yellow to white (r,g,b) --
-----------------------------------------------------------------

	PlayerName:SetTextColor(1,1,1)
	TargetFrameTextureFrameName:SetTextColor(1,1,1)
	TargetFrameToTTextureFrameName:SetTextColor(1,1,1)
	FocusFrameTextureFrameName:SetTextColor(1,1,1)
	FocusFrameToTTextureFrameName:SetTextColor(1,1,1)
	PetName:SetTextColor(1,1,1)


-----------------------------------
-- Changes default nametext size --
-----------------------------------

	PlayerName:SetFont("Fonts\\FRIZQT__.ttf",13)
	TargetFrameTextureFrameName:SetFont("Fonts\\FRIZQT__.ttf",13)


----------------------------------------------------------
-- Disables incoming healing/damage on player/pet frame --
----------------------------------------------------------

	PlayerHitIndicator:SetText(nil)
	PlayerHitIndicator.SetText = function() end
	PetHitIndicator:SetText(nil)
	PetHitIndicator.SetText = function() end


------------------------
-- PetFrame placement --
------------------------

	PetFrame:ClearAllPoints()
	PetFrame:SetPoint("RIGHT", PlayerFrame, "CENTER", 25, 55)


-----------------------
-- FocusFrame strata --
-----------------------
	FocusFrame:SetFrameStrata(BACKGROUND)


--------------------------
-- Hide Target of Focus --
--------------------------

	FocusFrameToT:SetAlpha(0)


----------------------------
-- Hide faction/PvP icons --
----------------------------

	PlayerPVPIcon:SetAlpha(0)
	FocusFrameTextureFramePVPIcon:SetAlpha(0)


---------------------------------
-- Hide Alternate Power frames --
---------------------------------

--	ComboPointPlayerFrame:SetAlpha(0)
--	PlayerFrameAlternateManaBar:SetAlpha(0)
--	RuneFrame:SetAlpha(0)
--	PaladinPowerBarFrame:SetAlpha(0)
--	MageArcaneChargesFrame:SetAlpha(0)
--	WarlockPowerFrame:SetAlpha(0)
	MonkHarmonyBarFrame:SetAlpha(0)
--	MonkStaggerBar:SetAlpha(0)

